Page MenuHomePhabricator

VisualEditor registers a dependency on "visualeditor-quick-access-characters.json" but it doesn't exist
Closed, ResolvedPublic1 Estimate Story Points

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterMake visualeditor-quick-access-characters.json always exist

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 8 2016, 10:17 PM

It doesn't necessarily exist. I think I wrote this so that it's optional, can be created by wiki admins if they want it. Maybe we should set it to -?

But - isn't valid JSON. I guess we could set it to {}?

Krinkle assigned this task to Krenair.Jun 10 2016, 2:41 PM

Per discussion with Krinkle, null is probably better. Note we also have this pattern in Cite (Visualeditor-cite-tool-definition.json) and Citoid (citoid-template-type-map.json).

Change 293746 had a related patch set uploaded (by Alex Monk):
Make visualeditor-quick-access-characters.json always exist

https://gerrit.wikimedia.org/r/293746

AlexMonk-WMF added a subscriber: Krenair.
AlexMonk-WMF removed a subscriber: Krenair.
Jdforrester-WMF set the point value for this task to 1.

Change 293746 merged by jenkins-bot:
Make visualeditor-quick-access-characters.json always exist

https://gerrit.wikimedia.org/r/293746

Jdforrester-WMF closed this task as Resolved.Jun 24 2016, 10:08 AM
Jdforrester-WMF removed a project: Patch-For-Review.